Issue A. Point

POST /api/open/alipay/v1/promotion/benefit/issue

Use this interface to issue A.Point to AlipayHK users.


General Headers

Name

Description

Type

Sample

Client-Id

REQUIRED

An ID provided by AlipayHK, used to identify partner and application system.

String

4Q5Y8W0WSG45P907917

Content-Type

REQUIRED

The RFC 2616 media type of the request body, the charset should be as same as the one used for cryptographic operations. 

String

application/json; charset=UTF-8

Signature

REQUIRED

A key-value pairs string separated by commas (,), which keys and values are joined by equal signs (key=value). 

Valid keys include: 

  • algorithm: The digital signature algorithm used in generating the signature, RSA256 or ECC224, uses RSA256 by default. 
  • keyVersion: The key version of the signing key configured with Client-Id, uses the latest version by default. 
  • signature: The signature value of this request. 

String

algorithm=RSA256,keyVersion=1,signature=KEhXthj4bJ801Hqw8kaLvEKc0Rii8KsNUazw7kZgjxyGSPuOZ48058UVJUkkR21iD9JkHBGR rWiHPae8ZRPuBagh2H3qu7fxY5GxVDWayJUhUYkr9m%2FOW4UQVmXaQ9yn%2Fw2dCtzwAW0htPHYrKMyrT pMk%2BfDDmRflA%2FAMJhQ71yeyhufIA2PCJV8%2FCMOa46303A0WHhH0YPJ9%2FI0UeLVMWlJ1XcBo3Jr bRFvcowQwt0lP1XkoPmSLGpBevDE8%2FQ9WnxjPNDfrHnKgV2fp0hpMKVXNM%2BrLHNyMv3MkHg9iTMOD% 2FFYDAwSd%2B6%2FEOFo9UbdlKcmodJwjKlQoxZZIzmF8w%3D%3D

Encrypt

REQUIRED when message content needs to be encrypted. 

A key-value pairs string separated by commas (,), which keys and values are joined by equal signs (key=value). 

Valid keys include: 

  • algorithmThe symmetric key algorithm used in encryptingthe signature, only RSA_AES is supported
  • keyVersionThe key version of the signing key configured with Client-Id, uses the latest version by default.
  • symmetricKey: The encrypted symmetric key.

String

algorithm=RSA_AES,keyVersion=1,symmetricKey=bqS8HSmdaRrpKSuPy7CqUlyd8lJurG93

Request-only Headers

Name

Description

Type

Sample

Request-Time

REQUIRED

The ISO-8601 datetime of this API request with timezone.

String

2024-05-22T06:42:21+05:30

Response-only Headers

Name

Description

Type

Sample

Response-Time

REQUIRED

The ISO-8601 datetime of this API response with timezone.

String

2024-05-22T06:42:21+05:30

Tracer-Id

An ID for tracing this request.

String

abcdefg135202000000000263818

Request parameters

bizNo string  

Idempotent request ID for deduplication.

More information:

  • Maximum length: 64 characters

bizDate number  

Business timestamp in milliseconds, used to validate within campaign period.

providerUserInfo object  REQUIRED

User identity information from provider system.

Show child parameters

benefitIssueMode string  REQUIRED

Benefit issue mode.

Valid values:

  • BENEFIT_PRODUCT_ID

More information:

  • Maximum length: 32 characters

benefitIssueDetail object  REQUIRED

Benefit information to be issued.

Show child parameters

extendInfo object  

Extended information object based on business scenario.

Show child parameters

Response parameters

result object  REQUIRED

Metadata object indicating the result of the request.

Show child parameters

benefitValueInfo object  

Benefit pricing information.

Show child parameters
API Explorer

Request

Request Body

Response

Response Body

Result/Error codes

CodeValueMessage
SUCCESSSSuccess.
PROCESS_FAILFGeneral business failure. No retry needed.
RISK_REJECTFRisk rejection.
TOTAL_BUDGET_NOT_ENOUGHFInsufficient budget, please contact support.
CURRENT_BUDGET_NOT_ENOUGHFInsufficient budget, please contact support.
NO_BUDGET_RIGHT_NOWFInsufficient budget, please contact support.
PARAM_ILLEGALFPlease check the parameters of request.
UNKNOWN_EXCEPTIONUAPI failed due to unknown reason. Please contact support.